2018-07-21 23:19 PDT

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000143v1.2 Release (Closed)[All Projects] Generalpublic2009-12-08 19:04
Reportercaseydk 
Assigned Tocaseydk 
PriorityhighSeverityfeatureReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2 
Summary0000143: Project % Complete Calculations
DescriptionOne of the single most important values that is calculated constantly is a Project's percent complete. While it's trivial for small projects, for larger projects - or on project list screens - it gets to be a non-trivial and often horribly painful calculation.

Since we already have "project_percent_complete" on the Projects table, we should be able to calculate and cache it.
Additional InformationTo ensure accurate information, this should value should be recalculated when
- we update any of that Project's Tasks have their duration or percent complete updated;
- we update any child Project of the current Project;
TagsNo tags attached.
Attached Files

-Relationships
related to 0000086closedcaseydk v2.0 Release (Closed) Percent Calculation with Subprojects 
related to 0000170closedcaseydk v1.2 Release (Closed) Cache Worked/Scheduled/Project Hours 
child of 0000142closedcaseydk Pending Requests System Performance Improvements 
+Relationships

-Notes

~0000606

caseydk (administrator)

Updated to pre-calculate the project_percent_complete value instead of calculating it on the fly for every page load in r805;
Also added a migration to backfill all old project_percent_complete values;
+Notes

-Issue History
Date Modified Username Field Change
2009-04-27 22:06 caseydk New Issue
2009-04-27 22:06 caseydk Relationship added child of 0000142
2009-04-27 22:08 caseydk Relationship added related to 0000086
2009-05-31 21:28 caseydk Relationship added related to 0000170
2009-06-08 18:43 caseydk Project Pending Requests => v1.1 Release (Closed)
2009-07-07 21:19 caseydk Priority high => low
2009-08-30 21:27 caseydk Status new => assigned
2009-08-30 21:27 caseydk Assigned To => caseydk
2009-09-08 22:54 caseydk Project v1.1 Release (Closed) => Pending Requests
2009-09-11 14:44 caseydk Project Pending Requests => v1.2 Release (Closed)
2009-11-17 20:42 caseydk Priority low => high
2009-11-25 20:30 caseydk Status assigned => resolved
2009-11-25 20:30 caseydk Resolution open => fixed
2009-11-25 20:30 caseydk Note Added: 0000606
2009-12-08 19:04 caseydk Status resolved => closed
2009-12-08 19:04 caseydk Fixed in Version => 1.2
+Issue History